Subject: [nwcrg] I-D Action: draft-irtf-nwcrg-network-coding-taxonomy-03.txt

From: [email-masked]
Date: Thu, 29 Jun 2017 13:28:37 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Network Coding of the IETF.

        Title           : Network Coding Taxonomy
        Authors         : Brian Adamson
                          Cedric Adjih
                          Josu Bilbao
                          Victor Firoiu
                          Frank Fitzek
                          Samah A. M. Ghanem
                          Emmanuel Lochin
                          Antonia Masucci
                          Marie-Jose Montpetit
                          Morten V. Pedersen
                          Goiuri Peralta
                          Vincent Roca
                          Paresh Saxena
                          Senthil Sivakumar
	Filename        : draft-irtf-nwcrg-network-coding-taxonomy-03.txt
	Pages           : 15
	Date            : 2017-06-29

Abstract:
   This document summarizes a recommended terminology for Network Coding
   concepts and constructs.  It provides a comprehensive set of terms in
   order to avoid ambiguities in future Network Coding IRTF and IETF
   documents.  This document is intended to be in-line with the
   terminology used by the RFCs produced by the Reliable Multicast
   Transport (RMT) and FEC Framework (FECFRAME) IETF working groups.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-irtf-nwcrg-network-coding-taxonomy/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-irtf-nwcrg-network-coding-taxonomy-03
https://datatracker.ietf.org/doc/html/draft-irtf-nwcrg-network-coding-taxonomy-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-irtf-nwcrg-network-coding-taxonomy-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Vincent Roca <[email-masked]>
Date: Thu, 29 Jun 2017 22:39:15 +0200

Dear all,

You’ll find below an update of the Taxonomy I-D.
This version takes into account the latest comments received during RG Last Call,
in particular concerning the author list. I’ve also fixed a few minor things (e.g., to make
sure all official terms, defined in the document, start with an upper letter).

Differences are visible here: 
	https://www.ietf.org/rfcdiff?url2=draft-irtf-nwcrg-network-coding-taxonomy-03 <https://www.ietf.org/rfcdiff?url2=draft-irtf-nwcrg-network-coding-taxonomy-03>

I’ll wait till beginning of next week and will continue with IRSG Review and Approval
(see [RFC5743], section 2.2 for the official process within IRTF groups).

Co-authors, please tell me if ever I made a mistake in your affiliation/email.

Cheers,

   Vincent

> _______________________________________________
> nwcrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nwcrg

---

From: "Firoiu, Victor (US)" <[email-masked]>
Date: Fri, 30 Jun 2017 17:50:23 +0000

Thanks, Vincent, this looks good.

A couple of comments and suggestions:

Page 3: “If network coding (i.e., re-coding within the network) is of course considered, this document has a broader scope.”

I feel this is awkward phrasing and not clear what it means. How about:
#1 “While this document considers in-network coding (i.e., re-coding within the network), it has a broader scope.”

We should then say what that broader scope has in addition to in-network coding. The only thing I would think of is source-coding only. But that is also included, formally speaking, in the in-network coding.

So how about:
#2 “While this document considers in-network coding (i.e., re-coding within the network), it also includes source-only coding.”

Second suggested edit:

Page 9: “Rateless Coding can potentially generate an infinite number of Repair Symbols (in practice this number is only extremely large)”

Edit: “Rateless Coding can generate an unlimited number of Repair Symbols (in practice this number can be extremely large)”

Thanks,
Victor